Name:		hedgewars
Version:	0.9.25
Release:	%mkrel 1
Summary:	Funny turn-based artillery game featuring fighting Hedgehogs
License:	GPLv2
Group:		Games/Strategy
URL:		http://www.hedgewars.org/
Patch0:		hedgewars-0.9.25-mga-disable-pas2c.patch

BuildRequires:	cmake
BuildRequires:	ffmpeg-devel
BuildRequires:	fpc
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	pkgconfig(lua) < 5.2
BuildRequires:	pkgconfig(openssl)
BuildRequires:	lib64physfs-devel
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_net)
BuildRequires:	pkgconfig(SDL2_ttf)
Obsoletes:  	%{name}-data

%description
Hedgewars is a turn based strategy, artillery, action and comedy game,
featuring the antics of pink hedgehogs with attitude as they battle
from the depths of hell to the depths of space.

As commander, it's your job to assemble your crack team of hedgehog
soldiers and bring the war to your enemy.

%prep

%build
pushd %_sourcedir
wget -nc http://www.hedgewars.org/download/releases/%{name}-src-%{version}.tar.bz2
tar xjf %{name}-src-%{version}.tar.bz2 -C %_builddir
popd

pushd %_builddir/%{name}-src-%{version}
%apply_patches

%cmake_qt5 \
	-DNOSERVER=TRUE \
	-DDATA_INSTALL_DIR="%{_gamesdatadir}/%{name}" \
	-Dtarget_binary_install_dir="%{_gamesbindir}" \
	-Dtarget_library_install_dir="%{_libdir}" \
	-DPHYSFS_SYSTEM=ON
%make_build
popd

%install
pushd %_builddir/%{name}-src-%{version}
%make_install -C build

install -D -m644 misc/%{name}_ico.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -D -m644 misc/%{name}.png %{buildroot}%{_iconsdir}/hicolor/512x512/apps/%{name}.png
rm -rf %{buildroot}%{_datadir}/pixmaps

mkdir -p %{buildroot}%{_datadir}/applications/
cat <<EOF >%{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Hedgewars
GenericName=Cartoony artillery game
Comment=Funny turn-based artillery game, featuring fighting Hedgehogs!
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;StrategyGame;Qt;X-MandrivaLinux-MoreApplications-Games-Strategy;
EOF

install -D -m644 man/%{name}.6 %{buildroot}%{_mandir}/man6/%{name}.6

# remove unneeded devel libraries files
find %{buildroot} -name '*.so' -delete
popd

%files
%doc
%{_gamesbindir}/%{name}
%{_gamesbindir}/hwengine
%{_datadir}/*/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_libdir}/libavwrapper.so.*
%{_libdir}/libphyslayer.so.*
%{_mandir}/man6/%{name}.6*
%{_gamesdatadir}/%{name}/


%changelog
* Fri Apr 26 2019 tex 0.9.25-1pclos2019
- Version 0.9.25
